#!/usr/bin/python3
import sys
import configparser
import sqlite3
import os
import apt
import apt_pkg
if __name__ == "__main__":
    new_config_file=sys.argv[1]
    old_config_file=sys.argv[2]
    db_file="/var/lib/kylin-system-updater/kylin-system-updater.db" 
    # new_config_file = "/usr/share/kylin-system-updater/unattended-upgrades-policy.conf"
    # old_config_file = "/var/lib/unattended-upgrades/unattended-upgrades-policy.conf"
    config_new=configparser.ConfigParser(allow_no_value=True)
    config_new.optionxform = str
    config_old=configparser.ConfigParser(allow_no_value=True)
    config_old.optionxform = str
    config_new.read(new_config_file)
    config_old.read(old_config_file)
    try:
        for section in config_new.sections():
            if not config_old.has_section(section):
                config_old.add_section(section)
                print("new section %s added"%(section))  
            for option in config_new.options(section):
                if not config_old.has_option(section,option):
                    value = config_new[section][option]
                    config_old.set(section,option,value)
                    print("new option:%s %s"%(option,value))
        with open(old_config_file,'w') as f:
            config_old.write(f)           
    except Exception as e:
        print(e)
    cache = apt.Cache()
    if('ukui-control-center' in cache):
        ukcc=cache['ukui-control-center']
        ukcc_version=ukcc.installed.version
        print(ukcc_version)
        cmpret=apt_pkg.version_compare(ukcc_version,'3.1.1+2022-0324')
    autoupdate_allow="false"
    if (cmpret>=0):
        print("system version greater than or equal to 2203")
        if (os.path.exists(db_file)):
            conn = sqlite3.connect(db_file)
            cursor = conn.cursor()
            cursor.execute('SELECT autoupdate_allow FROM display')
            dat = cursor.fetchone()
            autoupdate_allow=dat[0]
            print("auto update allow in db:%s"%autoupdate_allow)
    else:
        print("ukcc version lower than 2203")    
        configfile_2107 = "/var/lib/kylin-auto-upgrade/kylin-autoupgrade.conf"
        if (os.path.exists(configfile_2107)):
            config_2107=configparser.ConfigParser(allow_no_value=True)
            config_2107.optionxform = str
            config_2107.read(configfile_2107)
            autoupdate_allow=config_2107['CONTROL_CENTER']['autoupdate_allow']
    config_old.read(old_config_file)
    if(autoupdate_allow=="true"):
        config_old.set('autoUpgradePolicy','autoUpgradeState','on')
    elif(autoupdate_allow=="false"):
        config_old.set('autoUpgradePolicy','autoUpgradeState','off')
    with open(old_config_file,'w') as f:
        config_old.write(f)  
