from gettext import gettext as _
import logging
import os
import shutil

def backup_serverid():
    SERVERIDPATH = "/var/lib/kylin-software-properties/config/serverID.conf"
    SERVERIDPATH1 = "/var/lib/kylin-software-properties/config/updateID.conf"
    BACKUPPATH   = "/var/lib/kylin-system-updater/transID/"

    try:
        if not os.path.exists(BACKUPPATH):
            os.makedirs(BACKUPPATH, mode=0o755, exist_ok=True)

        if os.path.isfile(SERVERIDPATH):
            dst = shutil.copy(SERVERIDPATH, BACKUPPATH)
            logging.info("Backup serverID conf completed: %s...",dst)
        else:
            logging.info("ServerID conf is not exists...")

        if os.path.isfile(SERVERIDPATH1):
            dst = shutil.copy(SERVERIDPATH1, BACKUPPATH)
            logging.info("Backup updateID conf completed: %s...",dst)
        else:
            logging.info("updateID conf is not exists...")

    except Exception as e:
        logging.error("%s",e)