#!/usr/bin/python3

import sys
import logging

IMPORTANT_LIST_PATH = '/var/lib/kylin-software-properties/template/important.list'
SYSTEM_UPDATE_GROUPS = "kylin-update-desktop-system"
OPENKYLIN_DISTTRIBUTOR = "Openkylin"

# 获取当前系统的类型 kylin或者openkylin
def get_dist():
    " return the codename of the current runing distro "
    # then check the real one
    from subprocess import Popen, PIPE
    try:
        p = Popen(["lsb_release", "-i", "-s"], stdout=PIPE,
                universal_newlines=True)
        res = p.wait()
        if res != 0:
            sys.stderr.write("lsb_release returned exitcode: %i\n" % res)
            return "unknown distribution"
        dist = p.stdout.readline().strip()
        p.stdout.close()
        return dist
    except Exception as e:
        logging.error(e)
        return "Kylin"

def is_openkylin():
    return get_dist() == OPENKYLIN_DISTTRIBUTOR

def get_push_content():
    try:
        important_list = []
        if is_openkylin() == False:
            with open(IMPORTANT_LIST_PATH, 'r') as f:
                data = f.read()
                important_list = data.split()
        else:
            important_list = [SYSTEM_UPDATE_GROUPS]

        #去除重复内容
        important_list = list(set(important_list))

        return important_list
    except Exception as e:
        logging.error(str(e))
        return []

