#!/usr/bin/python3
# -*- coding: utf-8 -*-

import apt_pkg
import logging

OS_MANAGER_NAME = "kylin-os-manager"
CONTROL_CENTER_NAME = "ukui-control-center"
CONTROL_CENTER_VERISON = "3.0.1-1-156hw"
WAYLAND_FLAG = "hw"

def _is_wayland_2107(cache):
    if CONTROL_CENTER_NAME in cache:
        self_pkg = cache[CONTROL_CENTER_NAME]
        cur_version = self_pkg.installed.source_version
        if apt_pkg.version_compare(CONTROL_CENTER_VERISON,cur_version) > 0 and WAYLAND_FLAG in cur_version:
            logging.info("Current production line is Wayland version...")
            return True

    return False

# 在wayland的2107的版本升级安装kylin-os-manager 在waylan的版本麒麟管家拉取的依赖过多。
def check_remove_os_manager(cache,pkgs_list):
    if OS_MANAGER_NAME in pkgs_list and _is_wayland_2107(cache):
        logging.info("Wayland 2107 version and Will remove kylin-os-manager...")
        pkgs_list.remove(OS_MANAGER_NAME)