#!/bin/bash

OUTPUT_POST="/tmp/status_filter"
# 过滤的内容字段
FILTER_FIELDS=("Description" "Conffiles" "Homepage" "Gstreamer-Decoders" \
                "Original-Maintainer" "Maintainer" "Suggests" "Recommends" \
                "Built-Using" "Enhances" "Section" "Build-Ids" "Cnf" "Efi-Vendor" "Gstreamer-" \
                "License" "Lua-Versions" "Modaliases" "Original-" "Xul-Appid" "Vendor" "Support" "Ruby-Versions" \
                "Relocations" "Python-Version" "Second-Maintainer")
# 获取数组长度
FILTER_LENGTH=${#FILTER_FIELDS[@]}

if [ $# -eq 0 ]; then
    DPKG_STATUS_FILE="/var/lib/dpkg/status"
else
    DPKG_STATUS_FILE="$1"
fi

last_file=$(mktemp)
# 删除所有以空格开头的行
sed '/^\s/d' $DPKG_STATUS_FILE > $last_file

for (( i=0; i<$FILTER_LENGTH; i++ ))
do
    temp_file=$(mktemp)
    sed "/^${FILTER_FIELDS[$i]}/d" $last_file > $temp_file
    rm -rf $last_file
    last_file=$temp_file

    if [ $i -eq $(($FILTER_LENGTH - 1)) ]; then
        mv $last_file $OUTPUT_POST
    fi
done